EditPasswordForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.admin.user.EditPasswordForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.admin.user
Class EditPasswordForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.admin.user.EditPasswordForm

All Implemented Interfaces:
  java.io.Serializable

    public class EditPasswordForm

extends BaseValidatorForm

A form for editing passwords.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`EditPasswordForm()`

Method Summary
`java.lang.String` | `getConfirmPassword()` Getter for property confirmPassword.
`java.lang.String` | `getCurrentPassword()` Getter for property currentPassword.
`java.lang.Integer` | `getId()` Getter for property id.
`java.lang.String` | `getNewPassword()` Getter for property newPassword.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setConfirmPassword(java.lang.String confirmPassword)` Setter for property confirmPassword.
`void` | `setCurrentPassword(java.lang.String currentPassword)` Setter for property currentPassword.
`void` | `setId(java.lang.Integer id)` Setter for property id.
`void` | `setNewPassword(java.lang.String newPassword)` Setter for property newPassword.
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EditPasswordForm

    public EditPasswordForm()

Method Detail

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `BaseValidatorForm`

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `BaseValidatorForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### getNewPassword

    public java.lang.String getNewPassword()

  Getter for property newPassword.

  Returns:
    Value of property newPassword.

### setNewPassword

    public void setNewPassword(java.lang.String newPassword)

  Setter for property newPassword.

  Parameters:
    `newPassword` - New value of property newPassword.

### getConfirmPassword

    public java.lang.String getConfirmPassword()

  Getter for property confirmPassword.

  Returns:
    Value of property confirmPassword.

### setConfirmPassword

    public void setConfirmPassword(java.lang.String confirmPassword)

  Setter for property confirmPassword.

  Parameters:
    `confirmPassword` - New value of property confirmPassword.

### getCurrentPassword

    public java.lang.String getCurrentPassword()

  Getter for property currentPassword.

  Returns:
    Value of property currentPassword.

### setCurrentPassword

    public void setCurrentPassword(java.lang.String currentPassword)

  Setter for property currentPassword.

  Parameters:
    `currentPassword` - New value of property currentPassword.

### getId

    public java.lang.Integer getId()

  Getter for property id.

  Returns:
    Value of property id.

### setId

    public void setId(java.lang.Integer id)

  Setter for property id.

  Parameters:
    `id` - New value of property id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.